Impersonate a User

Some users are able to impersonate other users. This can be for educational reasons, such as impersonating a user during training to show off how the solution will actually appear for the trainees.

Access requirements

To impersonate a user, the user must have at least one of the following:

  • Profiles: Impersonator
  • Custom profile with these capabilities: Impersonate

To be impersonated, the user must have at least one of the following:

  • Profiles: Read Impersonated or Write Impersonated
  • Custom profile with these capabilities: Can Be Impersonated (R) or Can Be Impersonated (W)

Reach out to your administrator for access.

Overview

Impersonating a user allows you to experience Studio as that user, such as viewing the user's unshared projects and analyses. This is not the same as previewing a user. Previewing a user allows you to see your project changes in your solution as they would appear for the intended user, such as security changes. For more information about previewing, see Preview the Solution as a User.

To impersonate a user, both the impersonator and the impersonated user must be assigned profiles that contain specific additional capabilities. The following table describes the available profiles and additional capabilities for user impersonation.

Profile Additional capability

Description

Impersonator

Impersonate

Ability to impersonate users that may be impersonated. This is assigned to users that can impersonate other users, such as support users.

Read Impersonated

Can Be Impersonated (R)

Allow support users to impersonate this user in a read-only capacity. The impersonator will not be able to make any changes to the user's work, including projects and analyses. This is assigned by customer administrators.

Write Impersonated

Can Be Impersonated (W)

Allow support users to impersonate this user and make changes as the user. This is assigned by customer administrators.

Note:  

  • You cannot download files to your computer while impersonating a user.
  • Any changes that you make while impersonating another user are logged and can be viewed by downloading the application logs in Tenant > Users > More button > Download Application Logs.

Impersonate a user in Studio

  1. On the global navigation bar, click Tenant.
  2. In Users, select the user you want to impersonate.
  3. Click View As in the upper-right corner and click Impersonate User (Read & Write) or Impersonate User (Read Only).

    Result: A new tab opens with you signed in as the impersonated user.

  4. To end the session, close the tab.

Impersonate a user using Visier APIs

Use APIs to generate an impersonation token and then make APIs calls as the impersonated user. For more information, see "Request an impersonation token" in API Reference.

  1. Retrieve an impersonation token for the user you want to impersonate. For write access while impersonating the user, set the query parameter write=true.
    Copy
    Sample request: Retrieve an impersonation token to impersonate john@jupiter.com
    curl -X POST --url 'https://{vanity_name}.api.visier.io/v1/admin/visierImpersonationToken' \
    -H 'apikey:{api_key}' \
    -H 'Cookie:VisierASIDToken={security_token}' \
    -H 'TargetUsername:john@jupiter.com'
  2. Make an API call with the impersonation token in the Cookie:VisierImpersonationToken header.
    Copy
    Sample request: Retrieve a list of draft projects accessible to the user while impersonating john@jupiter.com
    curl -X GET --url 'https://{vanity_name}.api.visier.io/v1/admin/projects' \
    -H 'apikey:{api_key}' \
    -H 'Cookie:VisierImpersonationToken={impersonation_token}'